GuideLab API

List Xero accounts

Fetch chart of accounts from the connected Xero organization for settings configuration. Owner/admin only; provider access may idempotently refresh and persist an expired OAuth token. Supports filtering by account type (revenue or bank).

GET
/integrations/xero/accounts

Fetch chart of accounts from the connected Xero organization for settings configuration. Owner/admin only; provider access may idempotently refresh and persist an expired OAuth token. Supports filtering by account type (revenue or bank).

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Response Body

application/json

curl -X GET "https://example.com/integrations/xero/accounts"
{  "data": [    {      "accountId": "string",      "code": "string",      "name": "string",      "type": "string",      "taxType": "string"    }  ]}
Empty